> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/get-dspamaccount.md).

# Get-DSPamAccount

### Sinopsis

Obtener cuentas pam.

### Sintaxis

#### GetByFolder (predeterminado)

```
Get-DSPamAccount [-VaultID <guid>] [-AddActiveCheckoutID] [-IncludeDomainName] [-AsLegacyResponse]
 [<CommonParameters>]
```

#### GetByID

```
Get-DSPamAccount -AccountID <guid> [-AddActiveCheckoutID] [-IncludeDomainName] [-AsLegacyResponse]
 [<CommonParameters>]
```

#### BasicInformation

```
Get-DSPamAccount -AsBasicInformation [-VaultID <guid>] [-AsLegacyResponse] [<CommonParameters>]
```

### Descripción

Obtener cuentas pam. Hay tres formas de hacerlo. Primero, obtener una cuenta específica usando el parámetro AccountID. Segundo, obtener todas las cuentas pam llamando al cmdlet sin parámetros. Tercero, obtener todas las cuentas pam de una carpeta específica usando el parámetro FolderID. En caso de que haya muchas cuentas PAM, es posible que se produzca una TryGoOfflineException. Si es así, hay dos formas de evitar ese error. Primero, al llamar a New-DSSession, use el parámetro Timeout para aumentar el retardo de sondeo. Otra forma es usar el modificador AsBasicInformation de este cmdlet. Esto devolverá un objeto simplificado con la información necesaria para identificar rápidamente las cuentas PAM de interés.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $searchRes = Search-DSEntry -By Username -Match ExactExpression -Value 'MyUsername' -IncludePamVaults -IncludeVault @();
        $search = $searchRes[0];
        $pamAccountRes = Get-DSPamAccount -AccountID $search.ID
```

Obtener la cuenta PAM cuyo nombre de usuario es 'MyUsername'. En este ejemplo se asume que el nombre de usuario es único, por lo que el resultado de la búsqueda contiene un único resultado.

#### Ejemplo 2

```powershell
PS C:\> $pamBasicRes = Get-DSPamAccount -AsBasicInformation;
        $nameStarts = $pamBasicRes | Where Label -like 'MyName*';
        foreach ($pamBasic in $nameStarts) { Remove-DSPamAccount -AccountID $pamBasic.ID }
```

Eliminar todas las cuentas PAM cuyo nombre empieza por 'MyName'.

### Parámetros

#### -AccountID

ID de la cuenta pam

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases:
- PamCredentialID
ParameterSets:
- Name: GetByID
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -AddActiveCheckoutID

Añade la propiedad CheckoutID que contiene el ID del checkout activo

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
- Name: GetByFolder
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -AsBasicInformation

El objeto devuelto será simplificado. Permite identificar de forma sencilla la cuenta PAM (ID, Label, Username, Domain), su carpeta PAM (FolderID, FolderName) y su bóveda PAM (TeamFolderID). Es más rápido que obtener los objetos completos de las cuentas PAM.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: BasicInformation
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -AsLegacyResponse

En versiones anteriores a 2024.2, muchos cmdlets de DS devolvían un objeto ServerResponse. Al habilitar este modificador de compatibilidad retroactiva, los scripts desarrollados para versiones anteriores pueden funcionar correctamente.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -IncludeDomainName

Incluye el nombre de dominio. Se obtendrá del proveedor PAM. Puede ser utilizado por usuarios no administradores.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
- Name: GetByFolder
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -VaultID

Obtener todas las cuentas de la carpeta especificada

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases:
- FolderID
ParameterSets:
- Name: GetByFolder
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
- Name: BasicInformation
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notas

Para más información, escriba "Get-Help Get-DSPamAccount -detailed". Para información técnica, escriba "Get-Help Get-DSPamAccount -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/get-dspamaccount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
